Index: libcgns/src/cgnstools/cgnscalc/cgnscalc.sh
===================================================================
--- libcgns.orig/src/cgnstools/cgnscalc/cgnscalc.sh
+++ libcgns/src/cgnstools/cgnscalc/cgnscalc.sh
@@ -6,12 +6,7 @@ dir=`dirname $0`
 
 # source the setup script
 
-for d in $dir $dir/cgnstools $dir/.. ; do
-  if test -f $d/cgconfig ; then
-    . $d/cgconfig
-    break
-  fi
-done
+. /usr/share/cgnstools/cgconfig
 
 # get the calcwish executable
 
Index: libcgns/src/cgnstools/cgnscalc/unitconv.sh
===================================================================
--- libcgns.orig/src/cgnstools/cgnscalc/unitconv.sh
+++ libcgns/src/cgnstools/cgnscalc/unitconv.sh
@@ -6,12 +6,7 @@ dir=`dirname $0`
 
 # source the setup script
 
-for d in $dir $dir/cgnstools $dir/.. ; do
-  if test -f $d/cgconfig ; then
-    . $d/cgconfig
-    break
-  fi
-done
+. /usr/share/cgnstools/cgconfig
 
 # The normal wish will work here, but calcwish should
 # be available, and may also be used
Index: libcgns/src/cgnstools/cgnsplot/cgnsplot.sh
===================================================================
--- libcgns.orig/src/cgnstools/cgnsplot/cgnsplot.sh
+++ libcgns/src/cgnstools/cgnsplot/cgnsplot.sh
@@ -6,12 +6,7 @@ dir=`dirname $0`
 
 # source the setup script
 
-for d in $dir $dir/cgnstools $dir/.. ; do
-  if test -f $d/cgconfig ; then
-    . $d/cgconfig
-    break
-  fi
-done
+. /usr/share/cgnstools/cgconfig
 
 # get the plotwish executable
 
Index: libcgns/src/cgnstools/cgnsview/cgnsnodes.sh
===================================================================
--- libcgns.orig/src/cgnstools/cgnsview/cgnsnodes.sh
+++ libcgns/src/cgnstools/cgnsview/cgnsnodes.sh
@@ -6,12 +6,7 @@ dir=`dirname $0`
 
 # source the setup script
 
-for d in $dir $dir/cgnstools $dir/.. ; do
-  if test -f $d/cgconfig ; then
-    . $d/cgconfig
-    break
-  fi
-done
+. /usr/share/cgnstools/cgconfig
 
 # The normal wish will work here, but cgiowish should
 # be available, and may also be used
Index: libcgns/src/cgnstools/cgnsview/cgnsview.sh
===================================================================
--- libcgns.orig/src/cgnstools/cgnsview/cgnsview.sh
+++ libcgns/src/cgnstools/cgnsview/cgnsview.sh
@@ -9,12 +9,7 @@ export HDF5_USE_FILE_LOCKING="FALSE"
 
 # source the setup script
 
-for d in $dir $dir/cgnstools $dir/.. ; do
-  if test -f $d/cgconfig ; then
-    . $d/cgconfig
-    break
-  fi
-done
+. /usr/share/cgnstools/cgconfig
 
 # get the cgiowish executable
 
